import { withTheme } from '@dokuhero/react-native-theme';
import React from 'react';
import { CalculatorInput } from 'react-native-calculator';
import { globalStyles } from '../styles';
import { FormField } from './FormField';
export var InputNumber = withTheme(function (_a) {
    var value = _a.value, label = _a.label, errors = _a.errors, onChange = _a.onChange, theme = _a.theme;
    return (<FormField label={label} errors={errors}>
      <CalculatorInput value={value} fieldContainerStyle={{
        marginLeft: 20,
        paddingBottom: 7,
        borderBottomColor: theme.color.lighter
    }} fieldTextStyle={globalStyles.inputText} borderColor={theme.color.lighter} acceptButtonBackgroundColor={theme.color.primary} calcButtonBackgroundColor={theme.color.secondary} onChange={function (val) {
        if (onChange) {
            onChange(val);
        }
    }} height={300}/>
    </FormField>);
});
//# sourceMappingURL=InputNumber.js.map